/*
   JNI Sample Program -- call system()
         (C)2001 Denka's Factory
        Programmed by Ryo.Sugahara
*/

public class JNIsample
{
  private static native int wrpSystem (String cmd);
  static { System.loadLibrary("wrapdll"); }

  public static void main (String[] args)
  {
    System.out.println("JNI Sample Program for UNIX");
    System.out.println(" Programmed by Ryo.Sugahara\n");

    if (args.length == 0)
      System.out.println("Usage: java JNIsample [UNIX Command Line]");
    else
    {
      System.out.println("...now Execute Command ["+args[0]+"]");
      if (wrpSystem(args[0]) == 0)
        System.out.println("\n-- Native Command Exec is Success --");
      else
        System.out.println("\n-- Native Command Exec is Fail --");
    }
  }
} 
